Subject: Re: [TEST] VirtioFS instead of 9p

From: Jakub Kicinski <[email-masked]>
Date: Tue, 26 Mar 2024 07:20:05 -0700

On Tue, 26 Mar 2024 13:34:33 +0100 Andrew Lunn wrote:
> > > And the Rust that comes with it doesn't seem to be able to build it :(  
> > Did you try by installing Rust (rustc, cargo) via rustup [1]? It is even
> > possible to get the offline installer if it is easier [2]. With rustup,
> > you can easily install newer versions of the Rust toolchain.  
> 
> I guess part of the problem is that $RUST does not have a stable
> meaning yet. The rust in the kernel seems to need a different
> definition of $RUST to this package. And this machine is all about
> testing the kernel, so $RUST is set for how the kernel wants $RUST
> defined.
> 
> Maybe, eventually, rust will become stable, and you just install a
> rust compiler like you install a C compiler, and it just works for
> everything. But we are not there yet.

Somewhat related, our current build_rust test doesn't work because
I used rustup, and it works by adding stuff (paths mostly?) to bashrc.
Which does not get evaluated when we launch the script from a systemd
unit :( I couldn't find a "please run this as an interactive shell"
switch in bash, should we source ~/.bashrc in build_rust.sh for now?